/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd All Rights Reserved
 *
 * Licensed under the Apache License, Version 2.0 (the License);
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an AS IS BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef __AIR_HOME_DEFS_H__
#define __AIR_HOME_DEFS_H__

#define VIEW_HOME "VIEW_HOME"
#define VIEW_RECENT "VIEW_RECENT"
#define VIEW_USER "VIEW_USER"
#define VIEW_USER_EDIT "VIEW_USER_EDIT"
#define VIEW_PHOTO "VIEW_PHOTO"
#define VIEW_ACTION_MENU "VIEW_ACTION_MENU"
#define VIEW_PIN "VIEW_PIN"

#define SRC_PROG "prog"
#define SRC_EDJE "edje"
#define SRC_ELM "elm"
#define ICON_ADD "add"

#define GRP_HOME "group.home"
#define GRP_HOME_UP_ARROW "group.home.up.arrow"
#define GRP_HOME_DOWN_ARROW "group.home.down.arrow"
#define GRP_HOME_ITEM "group.home.item"
#define GRP_RECENT "group.recent"
#define GRP_RECENT_DELETE "group.recent.delete"
#define GRP_RECENT_ICON "group.recent.icon"
#define GRP_RECENT_PREVIEW "group.recent.preview"
#define GRP_USER "group.user"
#define GRP_USER_ITEM "group.user.item"
#define GRP_USER_EDIT "group.user.edit"
#define GRP_USER_EDIT_CONTENTS "group.user.edit.contents"
#define GRP_USER_EDIT_SWITCH "group.user.edit.switch"
#define GRP_USER_EDIT_PHOTO "group.user.edit.photo"
#define GRP_USER_EDIT_ENTRY "group.user.edit.entry"
#define GRP_USER_EDIT_ICON_LIST "group.user.edit.icon.list"
#define GRP_USER_EDIT_ICON_LIST_ITEM "group.user.edit.icon.list.item"
#define GRP_BAR_ITEM "group.bar.item"
#define GRP_PHOTO "group.photo"
#define GRP_PHOTO_VIEWER "group.photo.viewer"
#define GRP_PHOTO_NO_CONTENT "group.photo.no.content"
#define GRP_ACTION_MENU "group.action.menu"
#define GRP_ACTION_MENU_LIVETV "group.action.menu.livetv"

#define PART_HOME_MENU_BAR "part.home.menu.bar"
#define PART_HOME_UP_ARROW "part.home.up.arrow"
#define PART_HOME_DOWN_ARROW "part.home.down.arrow"
#define PART_RECENT_DELETE_ICON "part.recent.delete.icon"
#define PART_RECENT_CONTENTS "part.recent.contents"
#define PART_RECENT_NO_CONTENTS "part.recent.no.contents"
#define PART_RECENT_TITLE "part.recent.title"
#define PART_RECENT_SUBTITLE "part.recent.subtitle"
#define PART_RECENT_THUMBNAIL "part.recent.thumbnail"
#define PART_RECENT_THUMBNAIL_BG "part.recent.thumbnail.bg"
#define PART_RECENT_TEXT_BG "part.recent.text.bg"
#define PART_RECENT_ICON "part.recent.icon"
#define PART_RECENT_FAVORITE "part.recent.favorite"
#define PART_RECENT_DELETE "part.recent.delete"
#define PART_RECENT_DELETE_FOCUS "part.recent.delete.focus"
#define PART_USER_EDIT_TITLE "part.user.edit.title"
#define PART_USER_EDIT_BTN_DONE "part.user.edit.btn.done"
#define PART_USER_EDIT_BTN_CANCEL "part.user.edit.btn.cancel"
#define PART_USER_EDIT_CONTENTS "part.user.edit.contents"
#define PART_USER_EDIT_CONTENTS_PHOTO "part.user.edit.contents.photo"
#define PART_USER_EDIT_CONTENTS_NAME "part.user.edit.contents.name"
#define PART_USER_EDIT_CONTENTS_PIN "part.user.edit.contents.pin"
#define PART_USER_EDIT_CONTENTS_LOCK "part.user.edit.contents.lock"
#define PART_USER_EDIT_PHOTO "part.user.edit.photo"
#define PART_USER_EDIT_PHOTO_FOCUS "part.user.edit.photo.focus"
#define PART_USER_EDIT_ENTRY "part.user.edit.entry"
#define PART_USER_EDIT_ICON_LIST "part.user.edit.icon.list"
#define PART_USER_EDIT_ICON_LIST_ITEM "part.user.edit.icon.list.item"
#define PART_USER_EDIT_ICON_LIST_ITEM_FOCUS "part.user.edit.icon.list.item.focus"
#define PART_USER_EDIT_SWITCH "part.user.edit.switch"
#define PART_BAR_ITEM_BG "part.bar.item.bg"
#define PART_BAR_ITEM_ICON "part.bar.item.icon"
#define PART_BAR_ITEM_ICON_FOCUS "part.bar.item.icon.focus"
#define PART_BAR_ITEM_TITLE "part.bar.item.title"
#define PART_BAR_ITEM_TITLE_FOCUS "part.bar.item.title.focus"
#define PART_BAR_ITEM_LOCK "part.bar.item.lock"
#define PART_BAR_ITEM_LOCK_FOCUS "part.bar.item.lock.focus"
#define PART_BAR_ITEM_MASK "part.bar.item.mask"
#define PART_USER_BAR "part.user.bar"
#define PART_PHOTO_LIST "part.photo.list"
#define PART_PHOTO_NO_CONTENT "part.photo.no.content"
#define PART_PHOTO_VIEWER "part.photo.viewer"
#define PART_PHOTO_VIEWER_CANCEL "part.photo.viewer.cancel"
#define PART_PHOTO_VIEWER_DONE "part.photo.viewer.done"
#define PART_TITLE_TEXT "title,text"
#define PART_POPUP_BUTTON_1 "button1"
#define PART_POPUP_BUTTON_2 "button2"
#define PART_SWALLOW_ICON "elm.swallow.icon"
#define PART_SWALLOW_CONTENT "elm.swallow.content"
#define PART_ACTION_MENU_LIVETV "part.action.menu.livetv"
#define PART_ACTION_MENU_TABLE "part.action.menu.table"

#define SIG_SHOW_NAVIGATION "sig.show.navigation"
#define SIG_HIDE_NAVIGATION "sig.hide.navigation"
#define SIG_INITIAL_FOCUS "sig.initial.focus"
#define SIG_FOCUS "sig.focus"
#define SIG_FOCUS_TO_UP "sig.focus.to.up"
#define SIG_FOCUS_TO_DOWN "sig.focus.to.down"
#define SIG_FOCUS_TO_RIGHT "sig.focus.to.right"
#define SIG_FOCUS_TO_LEFT "sig.focus.to.left"
#define SIG_UNFOCUS "sig.unfocus"
#define SIG_UNFOCUS_TO_RIGHT "sig.unfocus.to.right"
#define SIG_UNFOCUS_TO_LEFT "sig.unfocus.to.left"
#define SIG_DISABLE "elm,state,disabled"
#define SIG_ENABLE "elm,state,enabled"
#define SIG_SHOW_MASK "sig.show.mask"
#define SIG_SHOW "sig.show"
#define SIG_SHOW_DONE "sig.show.done"
#define SIG_HIDE "sig.hide"
#define SIG_HIDE_DONE "sig.hide.done"
#define SIG_CLICK_ITEM "sig.click.item"
#define SIG_CLICK_ARROW "sig.click.arrow"
#define SIG_SHOW_ARROW "sig.show.arrow"
#define SIG_HIDE_ARROW "sig.hide.arrow"
#define SIG_SELECT "elm,state,selected"
#define SIG_UNSELECT "elm,state,unselected"
#define SIG_CHANGE "sig.change"
#define SIG_TIMEOUT "timeout"

#define TITLE_WIDTH "title.width"

#define STYLE_LABEL_TITLE "slide_home_title"
#define STYLE_LABEL_TITLE_FOCUS "slide_home_title_focus"
#define STYLE_LABEL_RECENT_TITLE "slide_recent_title"
#define STYLE_LABEL_RECENT_SUBTITLE "slide_recent_subtitle"
#define STYLE_INPUT_NAME "name"
#define STYLE_INPUT_PIN "pin"
#define STYLE_GENGRID_ITEM "gengrid_item"
#define STYLE_LABEL_ACTION_MENU_TITLE "slide_action_menu_title"
#define STYLE_LABEL_ACTION_MENU_TITLE_FOCUS "slide_action_menu_title_focus"
#define STYLE_LABEL_ACTION_MENU_TITLE_DIS "slide_action_menu_title_dis"
#define STYLE_BTN_ACTION_MENU_RESET "action_menu_reset"
#define STYLE_BTN_ACTION_MENU_DELETE "action_menu_delete"
#define STYLE_BTN_ACTION_MENU_EMPTY "action_menu_empty"
#define STYLE_TOAST "toast"

#define COLOR_DEFAULT_R 0
#define COLOR_DEFAULT_G 119
#define COLOR_DEFAULT_B 246
#define COLOR_DEFAULT_A 255

#define IMAGE_SWITCH_ON IMAGEDIR"/btn_switch_on_nor.png"
#define IMAGE_SWITCH_OFF IMAGEDIR"/btn_switch_off_nor.png"
#define IMAGE_MASK IMAGEDIR"/mask_user_nor.png"
#define IMAGE_USER_ADD IMAGEDIR"/btn_user_add_nor.png"
#define IMAGE_USER_ADD_FOCUS IMAGEDIR"/btn_user_add_foc.png"
#define IMAGE_USER_DEFAULT IMAGEDIR"/ic_user_01_nor.png"
#define IMAGE_USER_DEFAULT_FOCUS IMAGEDIR"/ic_user_01_foc.png"
#define IMAGE_USER_DEFAULT_02 IMAGEDIR"/ic_user_02_nor.png"
#define IMAGE_USER_DEFAULT_02_FOCUS IMAGEDIR"/ic_user_02_foc.png"
#define IMAGE_USER_DEFAULT_03 IMAGEDIR"/ic_user_03_nor.png"
#define IMAGE_USER_DEFAULT_03_FOCUS IMAGEDIR"/ic_user_03_foc.png"
#define IMAGE_USER_DEFAULT_04 IMAGEDIR"/ic_user_04_nor.png"
#define IMAGE_USER_DEFAULT_04_FOCUS IMAGEDIR"/ic_user_04_foc.png"
#define IMAGE_USER_DEFAULT_05 IMAGEDIR"/ic_user_05_nor.png"
#define IMAGE_USER_DEFAULT_05_FOCUS IMAGEDIR"/ic_user_05_foc.png"
#define IMAGE_USER_DEFAULT_06 IMAGEDIR"/ic_user_06_nor.png"
#define IMAGE_USER_DEFAULT_06_FOCUS IMAGEDIR"/ic_user_06_foc.png"
#define IMAGE_USER_DEFAULT_07 IMAGEDIR"/ic_user_07_nor.png"
#define IMAGE_USER_DEFAULT_07_FOCUS IMAGEDIR"/ic_user_07_foc.png"
#define IMAGE_USER_CURRENT_DEFAULT IMAGEDIR"/ic_user_profile_current_01_nor.png"
#define IMAGE_USER_CURRENT_DEFAULT_FOCUS IMAGEDIR"/ic_user_profile_current_01_foc.png"
#define IMAGE_USER_CURRENT_DEFAULT_02 IMAGEDIR"/ic_user_profile_current_02_nor.png"
#define IMAGE_USER_CURRENT_DEFAULT_02_FOCUS IMAGEDIR"/ic_user_profile_current_02_foc.png"
#define IMAGE_USER_CURRENT_DEFAULT_03 IMAGEDIR"/ic_user_profile_current_03_nor.png"
#define IMAGE_USER_CURRENT_DEFAULT_03_FOCUS IMAGEDIR"/ic_user_profile_current_03_foc.png"
#define IMAGE_USER_CURRENT_DEFAULT_04 IMAGEDIR"/ic_user_profile_current_04_nor.png"
#define IMAGE_USER_CURRENT_DEFAULT_04_FOCUS IMAGEDIR"/ic_user_profile_current_04_foc.png"
#define IMAGE_USER_CURRENT_DEFAULT_05 IMAGEDIR"/ic_user_profile_current_05_nor.png"
#define IMAGE_USER_CURRENT_DEFAULT_05_FOCUS IMAGEDIR"/ic_user_profile_current_05_foc.png"
#define IMAGE_USER_CURRENT_DEFAULT_06 IMAGEDIR"/ic_user_profile_current_06_nor.png"
#define IMAGE_USER_CURRENT_DEFAULT_06_FOCUS IMAGEDIR"/ic_user_profile_current_06_foc.png"
#define IMAGE_USER_CURRENT_DEFAULT_07 IMAGEDIR"/ic_user_profile_current_07_nor.png"
#define IMAGE_USER_CURRENT_DEFAULT_07_FOCUS IMAGEDIR"/ic_user_profile_current_07_foc.png"
#define IMAGE_RECENT_DELETE_NOR IMAGEDIR"/btn_bar_clearall_nor.png"
#define IMAGE_RECENT_DELETE_FOC IMAGEDIR"/btn_bar_clearall_foc.png"
#define IMAGE_RECENT_DELETE_DIS IMAGEDIR"/btn_bar_clearall_dis.png"
#define IMAGE_RECENT_ICON_APP IMAGEDIR"/ic_thumbnail_app.png"
#define IMAGE_RECENT_ICON_CHANNEL IMAGEDIR"/ic_thumbnail_tv.png"
#define IMAGE_RECENT_ICON_MOVIE IMAGEDIR"/ic_thumbnail_movie.png"
#define IMAGE_RECENT_ICON_GALLERY IMAGEDIR"/ic_thumbnail_gallery.png"
#define IMAGE_RECENT_ICON_MUSIC IMAGEDIR"/ic_thumbnail_music.png"
#define IMAGE_RECENT_ICON_WEB IMAGEDIR"/ic_thumbnail_web.png"
#define IMAGE_RECENT_THUMB_NOTI IMAGEDIR"/btn_menu_notification_foc.png"
#define IMAGE_RECENT_THUMB_APP IMAGEDIR"/ic_default_app.png"
#define IMAGE_RECENT_THUMB_CHANNEL IMAGEDIR"/ic_default_tv.png"
#define IMAGE_RECENT_THUMB_SETTING IMAGEDIR"/ic_default_setting"
#define IMAGE_PHOTO_FAVORITE IMAGEDIR"/ic_thumbnail_favorite_02.png"

#define MAX_ITEM_COUNT 8
#define MAX_USER_COUNT 9

#define MESSAGE_ADD_USER "Add user"
#define MESSAGE_EDIT_USER "Edit user"
#define MESSAGE_DELETE_USER "Delete user"
#define MESSAGE_DELETE "Delete"
#define MESSAGE_CANCEL "Cancel"
#define MESSAGE_OK "OK"
#define MESSAGE_DONE "Done"
#define MESSAGE_DISCARD "Discard"
#define MESSAGE_RESET "Reset"
#define MESSAGE_DELETE_CONTENTS "If you delete this user, their data will also be deleted."
#define MESSAGE_DISCARD_CONTENTS "Discard all entered data?<br> If you are out of this screen, data won't be saved"
#define MESSAGE_RESET_CONTENTS "Reset all entered data?<br>If you choose the Reset, all data will be deleted"
#define MESSAGE_SUCCESS "success"
#define MESSAGE_FAIL "fail"
#define MESSAGE_USER_ADD "is added."
#define MESSAGE_USER_DELETE "is removed."
#define MESSAGE_USER_UPDATE "is updated."
#define MESSAGE_NOTIFICATION "Notification"

#define GUM_ATTR_NAME "username"
#define GUM_ATTR_USERTYPE "usertype"
#define GUM_ATTR_UID "uid"
#define GUM_ATTR_ICON "icon"
#define GUM_ATTR_PASSWORD "secret"
#define GUM_LIST_USERTYPE_NORMAL "normal"
#define GUM_LIST_USERTYPE_ADMIN "admin"

#define TRANSITION_DECEL DECEL 0.3
#define TRANSITION_LINEAR LINEAR 0.2

#define FONT_DEFAULT "BreezeSans"
#define FONT_LIGHT "BreezeSans:style=Light"
#define FONT_REGULAR "BreezeSans:style=Regular"

#define FORMAT_PNG "png"

#define BUNDLE_APP_KEY "app_key"
#define BUNDLE_APP_VALUE "app_value"
#define BUNDLE_URI "uri"

#endif /* __AIR_HOME_DEFS_H__ */
